##########################################################################################
#                                                                                        #
#    This source code is written by Hao Chen.(2007)                                      #
#    Department of Biology, Purdue University                                            #
#    West Lafayette, IN, 47907, USA.                                                     #
#    Email: chen177@purdue.edu                                                           #
#    Please cite our paper: Estimating Quality of Template-Based Protein Models          #
#    by Alignment Stability. Hao Chen & Daisuke Kihara.                                  #
#    All rights reserved.                                                                #
#    The example perl script demonstrates how to run SPAD automatically.                 #
#                                                                                        #
##########################################################################################
#!/usr/bin/perl
`cp /bio/liger3/chen177/SubOptimal/Data/seq/1aab-d1aab-1_20_1_1.seq /bio/liger3d8/chen177/test/time`;  #Copy the target sequence to the working directory. You should change the directory and input arguments to meet your local setting.
`cp /bio/liger3/chen177/SubOptimal/Data/seq/1hme-d1hme-1_20_1_1.seq /bio/liger3d8/chen177/test/time`;  #Copy the template sequence to the working directory. You should change the directory and input arguments to meet your local setting.
`/bio/liger3d6/CASP7/BLAST/blastpgp -d ../nr/nr -i /bio/liger3d8/chen177/test/time/1aab-d1aab-1_20_1_1.seq -o /bio/liger3d8/chen177/test/time/1aab-d1aab-1_20_1_1.profile -m 6 -j 5 -e 0.002 -h 0.002`; #Generate the PSIBLAST profile of the target sequence. Direct the directory to your PSIBLAST installed directory.
`/bio/liger3d6/CASP7/BLAST/blastpgp -d ../nr/nr -i /bio/liger3d8/chen177/test/time/1hme-d1hme-1_20_1_1.seq -o /bio/liger3d8/chen177/test/time/1hme-d1hme-1_20_1_1.profile -m 6 -j 5 -e 0.002 -h 0.002`; #Generate the PSIBLAST profile of the template sequence. Direct the directory to your PSIBLAST installed directory.
`/bio/liger3d8/chen177/test/time/msa-1.pl /bio/liger3d8/chen177/test/time/1aab-d1aab-1_20_1_1.profile`;  #Generate the amino acid frequency from the target profile. msa-1.pl is provided in this package. Place msa-1.pl somewhere and change the path to where you place it.
`/bio/liger3d8/chen177/test/time/msa-1.pl /bio/liger3d8/chen177/test/time/1hme-d1hme-1_20_1_1.profile`;  #Generate the amino acid frequency from the template profile. msa-1.pl is provided in this package. Place msa-1.pl somewhere and change the path to where you place it.
`/bio/liger3/chen177/SubOptimal/dsspcmbi /bio/liger3/chen177/SubOptimal/Data/pdb/1hme-d1hme-1_20_1_1.pdb /bio/liger3d8/chen177/test/time/1hme-d1hme-1_20_1_1.dssp`; #Generate the secondary structure information of the template. dsspcmbi is NOT provided in this package. Please download DSSP software by yourself and also change the path here.
`cp /bio/liger3/chen177/SubOptimal/Data/seq/1aab-d1aab-1_20_1_1.seq /bio/liger3d6/CASP7/sable_distr/data.seq`; #Copy the target sequence to SABLE. SABLE is not provided in this package. Please download SABLE and install it. Then change the directory to the installed directory.
`./run.sable`;   #Run SABLE to predict the secondary structure of the target. PLEASE PLACE THIS FILE IN WHERE SABLE IS INSTALLED! Otherwise it might not work properly.
`mv /bio/liger3d6/CASP7/sable_distr/OUT_SABLE_graph /bio/liger3d8/chen177/test/time/1aab-d1aab-1_20_1_1.sable`; #Copy the SABLE result to your working directory. Change the path as you need.
`/bio/liger3d8/chen177/test/time/a.out -q /bio/liger3d8/chen177/test/time/1aab-d1aab-1_20_1_1.seq -t /bio/liger3d8/chen177/test/time/1hme-d1hme-1_20_1_1.seq -pq /bio/liger3d8/chen177/test/time/1aab-d1aab-1_20_1_1.fa -pt /bio/liger3d8/chen177/test/time/1hme-d1hme-1_20_1_1.fa -sq /bio/liger3d8/chen177/test/time/1aab-d1aab-1_20_1_1.sable -st /bio/liger3d8/chen177/test/time/1hme-d1hme-1_20_1_1.dssp -n test`;  #Run SPAD program. a.out is the compiled executable file of msasub-6.cpp. You should change to your compiled filename. The command format is executable filename -q (The target sequence filename) -t (The template sequence filename) -pq (The frequency filename of the target) -pt (The frequency filename of the template) -sq (The SABLE prediction filename of the target) -st (The DSSP output of the template) -n (The arbitrary name affix for the output filename. It doesn't relate to the result and can be any word.) 
